#include <stdio.h>
#include <string.h>
#include <assert.h>
#include "util.h"
#include "types.h"
#include "ArchTokens.h"
#include "ReadArch.h"
#include "OutputXML.h"

char *OutFilePrefix;

int main(int argc, char **argv) {
	t_arch Arch;

	OutFilePrefix = NULL;

	if (argc != 3) {
		printf("usage = convert_arch_to_xml architecture_name new_xml_architecture_name\n");
        exit(1);
	}

	ReadArch(argv[1], &Arch);

	Output_XML(argv[2], &Arch);
}
